Subject: SEO Candidate - Mansi Jena
From: Mansi Jena <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 19 Dec 2022 03:27:44 -0500

| | SEO  Test

Name | Mansi Jena
E-mail | [email-masked]
Phone Number | (91) 8376871943
Where do you currently live (area) | New Delhi

Please give us details of your last 3 employments including current. If you've not worked in 3 companies, please enter NA

| Name of Company | Designation | Last working day | Monthly Salary (inhand)
Current Employer | Digilligence Pvt Ltd | SEO Manager | 31 Dec 2022 | 30000
Previous Employer 1 | Thavertech Pvt Ltd | Digital Marketing Manager | 31 May 2022 | 25000
Previous Employer 2 | NA | | |

Have you independently worked on SEO for any website?  If yes, what was the website, and what were the keywords?

Yes,
Website - www.vespertelecom.com
Keywords - Best DND SMS service provider, Best Telegram Promotion service provider, Best Line messaging service provider, Best bulk voice call provider company, bulk sms marketing company, bulk voice call provider company

Website - www.zapim.com
Keywords - smart sms cloud solution in India, push notification company India, viber service in India, best whatsapp api provider in India

www.rohanmalhotra.com
Keywords - wealth building tips, how to grow wealth quickly, best book for wealth creation

www.qutabautomobiles.com
Keywords - car service center in Gurgaon, maruti car service center in Gurgaon, maruti service center in gurugram, maruti service in Gurgaon

www.microntechgroup.com
Keywords - estic dc tools, yokota air tools, kilews brushless tools, electric screwdrivers India, kilews

www.intellitest.co.in
Keywords - Automatic vehicle traffic counter classifier, falling weight deflectometer in India, laser profilometer in India, road roughness measurement in India

www.goldfishre.com.au
Keywords - project marketing in Melbourne, project acquistions in Melbourne, property management services Melbourne, project marketing Melbourne

www.storeemart.com
Keywords - open source laravel e-commerce, laravel ecommerce open source, laravel marketplace open source, laravel ecommerce platform, ecommerce platform faridabad

Have you done SEO for any international websites? If yes, which ones and in what countries were you working on ranking them?

Yes
www.vespertelecom.com - USA
www.goldfishre.com.au - Austria

Give a list of Keywords that you have ranked and name of websites

Yes,
Website - www.vespertelecom.com
Keywords - Best DND SMS service provider, Best Telegram Promotion service provider, Best Line messaging service provider, Best bulk voice call provider company, bulk sms marketing company, bulk voice call provider company

Website - www.zapim.com
Keywords - smart sms cloud solution in India, push notification company India, viber service in India, best whatsapp api provider in India

www.rohanmalhotra.com
Keywords - wealth building tips, how to grow wealth quickly, best book for wealth creation

www.qutabautomobiles.com
Keywords - car service center in Gurgaon, maruti car service center in Gurgaon, maruti service center in gurugram, maruti service in Gurgaon

www.microntechgroup.com
Keywords - estic dc tools, yokota air tools, kilews brushless tools, electric screwdrivers India, kilews

www.intellitest.co.in
Keywords - Automatic vehicle traffic counter classifier, falling weight deflectometer in India, laser profilometer in India, road roughness measurement in India

www.goldfishre.com.au
Keywords - project marketing in Melbourne, project acquistions in Melbourne, property management services Melbourne, project marketing Melbourne

www.storeemart.com
Keywords - open source laravel e-commerce, laravel ecommerce open source, laravel marketplace open source, laravel ecommerce platform, ecommerce platform faridabad

How do you do Keyword Research?

Firstly for keyword research I am going to use these two tools which are Google Keyword Planner & Ubber Suggest. Mostly I am using Keyword Planner tools For the same. Here are few steps how to conduct a Keyword Research:-
- After Keyword Research, create a list of selected Keywords, segregate them and then try to find the best Long Tail Keywords with a good level of CPC and try to find a little bit low competition.
- After that I will separate keywords into primary & secondary category.
- Next I’ll check the Seo difficulty by Ubbersuggest.
- After segregation, search those Keywords on Google and try to find that is there any High Qualified Website ranking on that particular Keyword? If yes then leave that Keyword, if no then seperate those Keywords.

What activities do you perform Off Page?

Article Submission
Blog Submission
Guest Posting
Web 2.0 Submission
Bookmarking
Classified
Audio
Video
Image Submission
Infographic Submission
Social Networking
Profile creation
Website Listing
Press Release
PPT Submission
PDF Submission
Q & A
Blog Commenting
All promotion

| |